{
  "db_name": "PostgreSQL",
  "query": "select\n                operations.id,\n                operations.workspace_id,\n                operations.name,\n                operations.display_name,\n                operations.category,\n                operations.protocol,\n                operations.security_level,\n                ov.target_json,\n                operations.status,\n                operations.current_draft_version,\n                operations.latest_published_version,\n                operations.created_at as \"created_at!: time::OffsetDateTime\",\n                operations.updated_at as \"updated_at!: time::OffsetDateTime\",\n                operations.published_at as \"published_at: time::OffsetDateTime\"\n             from operations\n             join operation_versions ov\n               on ov.operation_id = operations.id\n              and ov.version = operations.current_draft_version\n             where operations.workspace_id = $1 and operations.id = $2",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Text"
      },
      {
        "ordinal": 1,
        "name": "workspace_id",
        "type_info": "Text"
      },
      {
        "ordinal": 2,
        "name": "name",
        "type_info": "Text"
      },
      {
        "ordinal": 3,
        "name": "display_name",
        "type_info": "Text"
      },
      {
        "ordinal": 4,
        "name": "category",
        "type_info": "Text"
      },
      {
        "ordinal": 5,
        "name": "protocol",
        "type_info": "Text"
      },
      {
        "ordinal": 6,
        "name": "security_level",
        "type_info": "Text"
      },
      {
        "ordinal": 7,
        "name": "target_json",
        "type_info": "Jsonb"
      },
      {
        "ordinal": 8,
        "name": "status",
        "type_info": "Text"
      },
      {
        "ordinal": 9,
        "name": "current_draft_version",
        "type_info": "Int4"
      },
      {
        "ordinal": 10,
        "name": "latest_published_version",
        "type_info": "Int4"
      },
      {
        "ordinal": 11,
        "name": "created_at!: time::OffsetDateTime",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 12,
        "name": "updated_at!: time::OffsetDateTime",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 13,
        "name": "published_at: time::OffsetDateTime",
        "type_info": "Timestamptz"
      }
    ],
    "parameters": {
      "Left": [
        "Text",
        "Text"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      false,
      false,
      false,
      false,
      false,
      false,
      false,
      true,
      false,
      false,
      true
    ]
  },
  "hash": "f195cc4951ef129f4a1c95d6d9e8f932919d2882f3dcb5a7f865fb4448506d05"
}
